This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 718653 - RFE: option to show warning when pushing disabled locale, then continue pushing other locale.
RFE: option to show warning when pushing disabled locale, then continue pushi...
Status: CLOSED WONTFIX
Product: Zanata
Classification: Community
Component: Component-Maven, Component-PythonClient (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 02:59 EDT by Ding-Yi Chen
Modified: 2012-11-19 21:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 21:00:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-04 02:59:49 EDT
Description of problem:
Currently, maven client push stops when encounter disabled locales.

However it will be more convenient if we have a switch like:
    --warnOnDisabledLocale: show warning when pushing disabled locale, then
continue pushing other locale.


Version-Release number of selected component (if applicable):
client API timestamp is 20110623-1549

How reproducible:
Always


Steps to Reproduce:
1. Assume Project AboutFedora is pushed to Zanata
2. Assume zanata.ini, pom.xml and zanata.xml are correctly configured.
3. Disable locale ja
4. mvn -B org.zanata:zanata-maven-plugin:push -Dzanata.projectType=podir -Dzanata.srcDir=pot 

  
Current results:
Stop when encountering disabled locales.

Expected results:
If --warnOnDisabledLocale is on, only print warning message for disabled locales and continue pushing others.
Comment 1 Sean Flanigan 2011-09-07 00:33:01 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Sean Flanigan 2012-11-14 20:16:04 EST
What's the use case for this?  Will it help with testing, or will it just be another feature that needs testing?  Won't this option just lead to silent failures?

Note You need to log in before you can comment on or make changes to this bug.